package common.packet;


public class PesPacket extends Packet {
	private PesPacketPart header;
	
	public PesPacket(int streamId, int index) {
		super(streamId, index);
	}
	public PesPacketPart getHeader() {
		return header;
	}

	public void setHeader(PesPacketPart header) {
		this.header = header;
	}
	public void offset(long clockOffset) {
		//no need to do super.
		if (header != null) {
			header.updatePtsDts(clockOffset, 0);
		}
	}
	public long getClockReference(int type) {
		return header.getClockReference(type);
	}
}
